------------------------------------------------------------------------------------
--Name:  	juqing4
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-06-05
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(418, 363)
CppScriptMgr:SetViewScale(300)
local Player_1 = CppScriptMgr:QueryHero()
Player_1:SetPos(420, 365)
Player_1:SetDir(0)
local Player_2 = CppScriptMgr:AddPlayer(225, 418, 368, "", 0, 0)
Player_2:SetDir(4)
local Player_3 = CppScriptMgr:AddSimplePlayer(1101175, 418, 368, "", 0, 0)
Player_3:SetHide(1)
Player_3:SetDir(5)
CppScriptMgr:WaitMilSec(500)
Player_2:Say("None of you will leave alive!", 1500)
CppScriptMgr:WaitMilSec(1470)
Player_2:SetActType(401)
local Effect_1 = CppScriptMgr:AddEffect("bombarrow", 418, 368, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1480)
local Effect_2 = CppScriptMgr:AddEffect("shuang_black", 420, 365, 33, 1, 1, 1)
Player_1:SetActType(170)
Player_2:SetHide(1)
CppScriptMgr:WaitMilSec(1000)
local Effect_4 = CppScriptMgr:AddEffect("irongate_superc", 418, 368, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
Player_3:SetHide(0)
Player_3:Say("What`s wrong with you?", 1000)
CppScriptMgr:WaitMilSec(1000)
Player_1:Say("Cough! I`ve been poisoned!", 1000)
CppScriptMgr:WaitMilSec(1000)
Player_3:SetActType(101)
local Effect_3 = CppScriptMgr:AddEffect("DoubleDance-999", 420, 365, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1970)
CppScriptMgr:ClearEffect(Effect_2)
Player_1:Say("You saved me!", 1000)
CppScriptMgr:WaitMilSec(1000)
Player_3:Say("Thank you for everything you`ve done for me. Protecting the forest is our duty.", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_3:Say("My time is short. The future of the forest rests in your hands...", 2000)
CppScriptMgr:WaitMilSec(1970)
local Effect_5 = CppScriptMgr:AddEffect("tulip-flower-r-99", 418, 368, 33, 1, 1, 1)
local Effect_6 = CppScriptMgr:AddEffect("zf2-e019", 418, 368, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(790)
Player_3:SetHide(1)
CppScriptMgr:WaitMilSec(1210)
local Effect_7 = CppScriptMgr:AddEffect("hunpo02", 420, 365, 33, 1, 1, 1)
local Effect_8 = CppScriptMgr:AddEffect("eidolon", 420, 365, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1830)
Player_1:Say("This is the Seed of Life awakened by Arboris` belief. Rest in peace, Arboris. The forest will remember you forever.", 2500)
Player_1:SetActType(101)
CppScriptMgr:WaitMilSec(3680)